import { TypedConstructor } from './common/TypedConstructor';
export { TypedConstructor } from './common/TypedConstructor';
export { map } from './mappers/map';
export { unmap } from './mappers/unmap';
export * from './decorators';
export * from './metadata';
export declare type Map<T> = (doc: any) => T;
export declare type Unmap<T> = (obj: T) => any;
export declare function mapper<T>(DocumentClass: TypedConstructor<T> | Function): {
    map: Map<T>;
    unmap: Unmap<T>;
};
